/********************************************************************************
 *   dbgreader -- system debug output reader for Windows CE                     *
 *                                                                              * 
 *   Copyright (C) 2004-2007 dci (dev@cpp.in)                                   *
 *                                                                              *
 *   This program is free software; you can redistribute it and/or              *
 *   modify it under the terms of the GNU General Public License version 2      *
 *   as published by the Free Software Foundation.                              *
 *                                                                              *
 *   This program is distributed in the hope that it will be useful,            *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          *
 *   General Public License version 2 for more details.                         *
 *                                                                              *
 *   You should have received a copy of the GNU General Public License          *
 *   version 2 along with this library; if not, write to the Free Software      *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 ********************************************************************************
 */


#ifndef _DCI_RT_H_
#define _DCI_RT_H_

/* types */
#include <windows.h>

/* C */
char   mylchar   ( char ichar );
int    mymemicmp ( void * mem1, void * mem2, unsigned long num );
size_t mymemcpy ( void * out, void * in, size_t num );
size_t mywcsncpy ( wchar_t * out, wchar_t * in, size_t outnum );
size_t mywcscpy  ( wchar_t * out, wchar_t * in );
size_t mywcslen  ( wchar_t * str );

/* ARM */
unsigned long cpsr_get ( );

#endif